Skip to main content
GET
/
v1
/
market
/
trading-pairs
Get trading pairs for a symbol
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/market/trading-pairs
{
  "data": [
    {
      "alias": [
        "<string>"
      ],
      "symbol": "<string>",
      "trading_pairs": [
        {
          "instrument_type": "<string>",
          "pairs": [
            {
              "alias": [
                "<string>"
              ],
              "contract_type": "<string>",
              "description": "<string>",
              "exercise_style": "<string>",
              "expiration_date": "<string>",
              "fee_rate": 123,
              "market": "<string>",
              "quote": "<string>",
              "shares_per_contract": 123,
              "strike_price": 123,
              "symbol_icon_url": "<string>",
              "trading_pair": "<string>",
              "type": "<string>",
              "underlying_type": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Query Parameters

symbol
string
required

Canonical symbol (e.g. BTC, NVDA, VOO)

Response

OK

data
object[]
error
object
pagination
any
request_id
string
success
boolean